/* 
 * This message is auto generated by ROS#. Please DO NOT modify.
 * Note:
 * - Comments from the original code will be written in their own line 
 * - Variable sized arrays will be initialized to array of size 0 
 * Please report any issues at 
 * <https://github.com/siemens/ros-sharp> 
 */

using Newtonsoft.Json;

namespace RosSharp.RosBridgeClient.MessageTypes.CocktailpartyToUnity
{
    public class PersonTrajectory : Message
    {
        [JsonIgnore]
        public const string RosMessageName = "cocktailparty_to_unity/PersonTrajectory";

        //  from: https://github.com/spencer-project/spencer_people_tracking/blob/master/messages/spencer_tracking_msgs/msg/PersonTrajectory.msg
        //  Message defining the trajectory of a tracked person.
        // 
        //  The distinction between track and trajectory is that, depending on the
        //  implementation of the tracker, a single track (i.e. tracked person) might
        //  change the trajectory if at some point a new trajectory "fits" that track (person)
        //  better.
        // 
        public ulong track_id;
        //  Unique identifier of the tracked person.
        public PersonTrajectoryEntry[] trajectory;
        //  All states of the last T frames of the most likely trajectory of that tracked person.

        public PersonTrajectory()
        {
            this.track_id = 0;
            this.trajectory = new PersonTrajectoryEntry[0];
        }

        public PersonTrajectory(ulong track_id, PersonTrajectoryEntry[] trajectory)
        {
            this.track_id = track_id;
            this.trajectory = trajectory;
        }
    }
}
